org.richfaces.fragment.fileUpload

## Class RichFacesFileUpload

- java.lang.Object
- - org.richfaces.fragment.fileUpload.RichFacesFileUpload

- All Implemented Interfaces:
    AdvancedInteractions<RichFacesFileUpload.AdvancedFileUploadInteractions>, AdvancedVisibleComponentIteractions<RichFacesFileUpload.AdvancedFileUploadInteractions>, FileUpload

      public class RichFacesFileUpload
      extends Object
      implements FileUpload, AdvancedVisibleComponentIteractions<RichFacesFileUpload.AdvancedFileUploadInteractions>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `RichFacesFileUpload.AdvancedFileUploadInteractions`
    `class` | `RichFacesFileUpload.FileUploadItemImpl`
    `static class` | `RichFacesFileUpload.RichFacesFileUploadList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesFileUpload()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addFile(File file)` Adds the given `file` in to the list of to be uploaded files.
    `RichFacesFileUpload.AdvancedFileUploadInteractions` | `advanced()`
    `FileUpload` | `clearAll()` Clears all to be uploaded or already uploaded files from the list.
    `FileUpload` | `upload()` Uploads all to be uploaded files.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesFileUpload

          public RichFacesFileUpload()

  - ### Method Detail

    - #### addFile

          public boolean addFile(File file)

      Description copied from interface: `FileUpload`
      Adds the given `file` in to the list of to be uploaded files.
      Specified by:
        `addFile` in interface `FileUpload`
      Parameters:
        `file` - to be uploaded
      Returns:
        `true` if the file was added successfully, `false` otherwise

    - #### advanced

          public RichFacesFileUpload.AdvancedFileUploadInteractions advanced()

      Specified by:
        `advanced` in interface `AdvancedInteractions<RichFacesFileUpload.AdvancedFileUploadInteractions>`

    - #### clearAll

          public FileUpload clearAll()

      Description copied from interface: `FileUpload`
      Clears all to be uploaded or already uploaded files from the list.
      Specified by:
        `clearAll` in interface `FileUpload`
      Returns:
        back the fileUpload object

    - #### upload

          public FileUpload upload()

      Description copied from interface: `FileUpload`
      Uploads all to be uploaded files.
      Specified by:
        `upload` in interface `FileUpload`
      Returns:
        back the fileUpload object

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.